Subject: Re: [ANNOUNCEMENT] Updated: findutils-4.3.2-3
From: "Vincent Legoll" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: [email-masked]
Date: Fri, 9 Mar 2007 15:57:21 +0100
List-Id: <cygwin.cygwin.com>

> Again, until I can fix it (or more hopefully, until the
> upstream maintainer can properly fix -execdir), the workaround is to use
> oldfind, or wait for me to release a new findutils package.

Oh no problem with waiting, really. The workaround is sufficient for my use.

> > [trying with trivial exemple on linux]
> > OK it seems to work here.
>
> Because a stock findutils on linux does not have my patch that attempts to
> work around the -execdir bug.

OK, that explains it...

> > So I swapped the -depth with a -prune placed just before or after
> > the -exec and it does not work.
>
> Won't matter.  -depth is global (ie, no matter where it appears in your
> expression, it takes affect as though it had appeared first).

Yes, I know that for -depth, but I thought -prune effect was position
dependent...

> > Oh well maybe I didn't RTFM hard enough...
>
> Unfortunately, it's not in the manual.  And you DID read hard enough, as
> evidenced by the fact that you found posts mentioning that oldfind works
> in this situation when find does not.

OK, I won't flagellate myself any more then... ;-)

Thank you for your work / answers, I'll wait for an updated package. If you
want me to test something, just ask.

-- 
Vincent Legoll

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/